Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eSupportType
    eQuestion = 0
    eAnswer = 1
    eCustomersMeeting = 2
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class SupportNG
    Inherits BaseObject
    Private _SupportType As eSupportType
    Private _NumberGenerator As NumberGenerator
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property SupportType As eSupportType
        Get
            Return _SupportType
        End Get
        Set(value As eSupportType)
            SetPropertyValue("SupportType", _SupportType, value)
        End Set
    End Property
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
End Class
